/*  File: zmapWindowFeatures.h
 *  Author: Ed Griffiths (edgrif@sanger.ac.uk)
 *  Copyright (c) 2006-2010: Genome Research Ltd.
 *-------------------------------------------------------------------
 * ZMap is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * or see the on-line version at http://www.gnu.org/copyleft/gpl.txt
 *-------------------------------------------------------------------
 * This file is part of the ZMap genome database package
 * originally written by:
 *
 * 	Ed Griffiths (Sanger Institute, UK) edgrif@sanger.ac.uk,
 *      Roy Storey (Sanger Institute, UK) rds@sanger.ac.uk
 *
 * Description: Include this header to get access to all public
 *              zmapWindowNNNN.h feature headers. This header includes
 *              the other headers in the correct order, if you don't
 *              use this header then you are on your own.
 *
 * HISTORY:
 * Last edited: Feb 16 09:57 2010 (edgrif)
 * Created: Mon Feb 15 11:40:27 2010 (edgrif)
 * CVS info:   $Id: zmapWindowFeatures.h,v 1.2 2010-03-04 15:12:20 mh17 Exp $
 *-------------------------------------------------------------------
 */
#ifndef ZMAP_WINDOW_FEATURES_H
#define ZMAP_WINDOW_FEATURES_H

#include <zmapWindowCanvasItem.h>
#include <zmapWindowAssemblyFeature.h>
#include <zmapWindowBasicFeature.h>
#include <zmapWindowTranscriptFeature.h>
#include <zmapWindowAlignmentFeature.h>
#include <zmapWindowTextFeature.h>
#include <zmapWindowSequenceFeature.h>
#include <zmapWindowCollectionFeature.h>

#endif /* ZMAP_WINDOW_FEATURES_H */
